> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Set packages

> Set packages

<Accordion title="Supported integrations" icon="list-check">
  This feature is currently available for the following integrations:

  <ul />

  You'd like to see this feature for another integration? Please reach out!
  We're always happy to discuss extending our coverage.
</Accordion>

Replaces the list of available assessment and or background check packages.

Packages that have been previously submitted through this endpoint but aren't included again will be marked as deleted.

### Example Request Body

```json theme={null}
{
  "packages": [
    {
      "id": "1001",
      "type": "SKILLS_TEST",
      "name": "TypeScript",
      "description": "TypeScript coding skills assessments"
    },
    {
      "id": "1002",
      "type": "VIDEO_INTERVIEW",
      "name": "Video Interview",
      "description": "Video interview to assess communication skills"
    }
  ]
}
```


## OpenAPI

````yaml PUT /assessment/packages
openapi: 3.1.0
info:
  title: Kombo API
  version: 1.0.0
servers:
  - url: https://api.kombo.dev/v1
    description: Kombo EU API
  - url: https://api.us.kombo.dev/v1
    description: Kombo US API
security:
  - ApiKey: []
tags:
  - name: General
  - name: Kombo Connect
    description: >-
      Endpoints for Kombo Connect, our end-user-facing flow for setting up new
      integrations.
  - name: Unified HRIS API
    description: Unified endpoints to access all the HR concepts you might need.
  - name: Unified ATS API
    description: Unified endpoints to access all the ATS concepts you might need.
  - name: Unified ATS (Assessment & Background Check) API
    description: >-
      Unified endpoints to operate Assessments and Background Checks for many
      applicant tracking systems.
  - name: Unified LMS API
    description: Unified endpoints to access all the LMS concepts you might need.
  - name: AI Apply
    description: Endpoints for AI-powered job application features.
  - name: Custom Endpoints
    description: Custom integration-specific endpoints.
paths:
  /assessment/packages:
    put:
      tags:
        - Unified ATS (Assessment & Background Check) API
      summary: Set packages
      description: >-
        Set packages


        <Accordion title="Supported integrations" icon="list-check">

        This feature is currently available for the following integrations:


        <ul>


        </ul>


        You'd like to see this feature for another integration? Please reach
        out!

        We're always happy to discuss extending our coverage.

        </Accordion>



        Replaces the list of available assessment and or background check
        packages.


        Packages that have been previously submitted through this endpoint but
        aren't included again will be marked as deleted.


        ### Example Request Body


        ```json

        {
          "packages": [
            {
              "id": "1001",
              "type": "SKILLS_TEST",
              "name": "TypeScript",
              "description": "TypeScript coding skills assessments"
            },
            {
              "id": "1002",
              "type": "VIDEO_INTERVIEW",
              "name": "Video Interview",
              "description": "Video interview to assess communication skills"
            }
          ]
        }

        ```
      operationId: PutAssessmentPackages
      parameters:
        - in: header
          name: X-Integration-Id
          schema:
            type: string
          description: ID of the integration you want to interact with.
          example: recruitee:HWUTwvyx2wLoSUHphiWVrp28
          required: true
      requestBody:
        description: PUT /assessment/packages Request body
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PutAssessmentPackagesRequestBody'
            examples:
              example1:
                value:
                  packages:
                    - id: '1001'
                      type: SKILLS_TEST
                      name: TypeScript
                      description: TypeScript coding skills assessments
                    - id: '1002'
                      type: VIDEO_INTERVIEW
                      name: Video Interview
                      description: Video interview to assess communication skills
      responses:
        '200':
          description: PUT /assessment/packages Positive response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PutAssessmentPackagesPositiveResponse'
        default:
          $ref: '#/components/responses/ErrorResponseATS'
      x-codeSamples:
        - lang: python
          label: PutAssessmentPackages
          source: |-
            from kombo import Kombo


            with Kombo(
                integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28",
                api_key="<YOUR_BEARER_TOKEN_HERE>",
            ) as k_client:

                res = k_client.assessment.set_packages(packages=[
                    {
                        "id": "1001",
                        "type": "SKILLS_TEST",
                        "name": "TypeScript",
                        "description": "TypeScript coding skills assessments",
                    },
                    {
                        "id": "1002",
                        "type": "VIDEO_INTERVIEW",
                        "name": "Video Interview",
                        "description": "Video interview to assess communication skills",
                    },
                ])

                # Handle response
                print(res)
        - lang: typescript
          label: PutAssessmentPackages
          source: |-
            import { Kombo } from "@kombo-api/sdk";

            const kombo = new Kombo({
              integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
              api_key: "<YOUR_BEARER_TOKEN_HERE>",
            });

            async function run() {
              const result = await kombo.assessment.setPackages({
                packages: [
                  {
                    id: "1001",
                    type: "SKILLS_TEST",
                    name: "TypeScript",
                    description: "TypeScript coding skills assessments",
                  },
                  {
                    id: "1002",
                    type: "VIDEO_INTERVIEW",
                    name: "Video Interview",
                    description: "Video interview to assess communication skills",
                  },
                ],
              });

              console.log(result);
            }

            run();
        - lang: ruby
          label: PutAssessmentPackages
          source: >-
            require 'kombo'


            Models = ::Kombo::Models

            s = ::Kombo::Kombo.new(
              integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
              security: Models::Shared::Security.new(
                api_key: '<YOUR_BEARER_TOKEN_HERE>'
              )
            )

            res = s.assessment.set_packages(body:
            Models::Shared::PutAssessmentPackagesRequestBody.new(
              packages: [
                Models::Shared::PutAssessmentPackagesRequestBodyPackage.new(
                  id: '1001',
                  type: Models::Shared::PutAssessmentPackagesRequestBodyType::SKILLS_TEST,
                  name: 'TypeScript',
                  description: 'TypeScript coding skills assessments'
                ),
                Models::Shared::PutAssessmentPackagesRequestBodyPackage.new(
                  id: '1002',
                  type: Models::Shared::PutAssessmentPackagesRequestBodyType::VIDEO_INTERVIEW,
                  name: 'Video Interview',
                  description: 'Video interview to assess communication skills'
                ),
              ]
            ))


            unless res.put_assessment_packages_positive_response.nil?
              # handle response
            end
components:
  schemas:
    PutAssessmentPackagesRequestBody:
      type: object
      properties:
        packages:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: A unique identifier for the assessment package.
              type:
                type: string
                enum:
                  - BEHAVIORAL
                  - VIDEO_INTERVIEW
                  - SKILLS_TEST
                  - BACKGROUND_CHECK
                  - REFERENCE_CHECK
              name:
                type: string
                description: The name of the assessment package.
              description:
                type: string
                description: >-
                  Description about the package. Some ATSs will display this in
                  their UI.
            required:
              - id
              - type
              - name
              - description
      required:
        - packages
    PutAssessmentPackagesPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
        warnings:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: >-
            These are the interaction warnings that are shown in the dashboard.
            They are meant to provide debug information to you. We recommend
            logging them to the console.
      required:
        - status
        - data
        - warnings
  responses:
    ErrorResponseATS:
      description: The standard error response with the error codes for the ATS use case.
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type:
                      - string
                      - 'null'
                    enum:
                      - PLATFORM.RATE_LIMIT_EXCEEDED
                      - PLATFORM.CONCURRENCY_LIMIT_EXCEEDED
                      - PLATFORM.INTEGRATION_NOT_FOUND
                      - PLATFORM.INPUT_INVALID
                      - PLATFORM.UNKNOWN_ERROR
                      - PLATFORM.IP_NOT_WHITELISTED
                      - PLATFORM.AUTHENTICATION_INVALID
                      - PLATFORM.TASK_TIMED_OUT
                      - INTEGRATION.PERMISSION_MISSING
                      - INTEGRATION.AUTHENTICATION_INVALID
                      - INTEGRATION.QA_FAILED
                      - INTEGRATION.SETUP_SYNC_PENDING
                      - INTEGRATION.SETUP_INCOMPLETE
                      - INTEGRATION.INACTIVE
                      - INTEGRATION.MODEL_NOT_AVAILABLE
                      - INTEGRATION.MODEL_DISABLED
                      - INTEGRATION.ACTION_NOT_AVAILABLE
                      - INTEGRATION.ACTION_DISABLED
                      - REMOTE.SERVICE_UNAVAILABLE
                      - REMOTE.RATE_LIMIT_EXCEEDED
                      - REMOTE.INPUT_INVALID
                      - REMOTE.UNKNOWN_HTTP_ERROR
                      - ATS.JOB_CLOSED
                      - ATS.APPLICATION_ALREADY_EXISTS
                    example: ATS.JOB_CLOSED
                    description: >-
                      Some errors include an error code that can be used to
                      identify their cause. See the [Error Handling
                      Docs](https://docs.kombo.dev/guides/errors) for more
                      information. For your error handling logic please use the
                      error `code` instead of other properties (e.g. message,
                      http status code, ...).
                  title:
                    type:
                      - string
                      - 'null'
                    description: A static, human-readable label.
                  message:
                    type: string
                    description: >-
                      A dynamic, detailed description of what went wrong in this
                      specific instance.
                  log_url:
                    type:
                      - string
                      - 'null'
                    format: uri
                    description: >-
                      The log page in the Kombo UI lists every interaction with
                      full details. If you need assistance, share that link with
                      our support team.
                required:
                  - code
                  - title
                  - message
                  - log_url
                description: Error details with structured code for programmatic handling.
            required:
              - status
              - error
          examples:
            Error Response:
              description: >-
                When building error handling logic, always use the `code` field
                to identify specific error types programmatically. See the
                complete list of error codes in the
                [docs](https://docs.kombo.dev/guides/errors).
              value:
                status: error
                error:
                  code: INTEGRATION.MODEL_NOT_AVAILABLE
                  title: >-
                    This data model isn't supported for the selected
                    integration.
                  message: >-
                    The "employees" model is not yet available for Greenhouse.
                    Please reach out to Kombo if you need this functionality.
                  log_url: https://app.kombo.dev/my-prod/logs?interactionId=123456
            Minimal Error Response:
              description: >-
                The "message" is always required while other fields can also be
                `null`. See the [docs](https://docs.kombo.dev/guides/errors) for
                more information.
              value:
                status: error
                error:
                  code: null
                  title: null
                  message: The message is always in the response.
                  log_url: null
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: >-
        Create an API key on the [Secrets](https://app.kombo.dev/secrets) page
        in the Kombo dashboard.

````